## com.google.gwt.user.client.rpc
Interface SerializationStreamReader

public interface SerializationStreamReader

An interface for reading values from a stream.

Method Summary
`boolean` `readBoolean()`
`byte` `readByte()`
`char` `readChar()`
`double` `readDouble()`
`float` `readFloat()`
`int` `readInt()`
`long` `readLong()`
`java.lang.Object` `readObject()`
`short` `readShort()`
`java.lang.String` `readString()`

Method Detail

### readBoolean

    public boolean readBoolean()
                        throws SerializationException

  Throws:
    `SerializationException`

### readByte

    public byte readByte()
                  throws SerializationException

  Throws:
    `SerializationException`

### readChar

    public char readChar()
                  throws SerializationException

  Throws:
    `SerializationException`

### readDouble

    public double readDouble()
                      throws SerializationException

  Throws:
    `SerializationException`

### readFloat

    public float readFloat()
                    throws SerializationException

  Throws:
    `SerializationException`

### readInt

    public int readInt()
                throws SerializationException

  Throws:
    `SerializationException`

### readLong

    public long readLong()
                  throws SerializationException

  Throws:
    `SerializationException`

### readObject

    public java.lang.Object readObject()
                                throws SerializationException

  Throws:
    `SerializationException`

### readShort

    public short readShort()
                    throws SerializationException

  Throws:
    `SerializationException`

### readString

    public java.lang.String readString()
                                throws SerializationException

  Throws:
    `SerializationException`